package cn.com.qmth.examcloud.commons.helpers.pipeline;

import cn.com.qmth.examcloud.commons.helpers.KeyValuePair;

/**
 * 节点执行器
 *
 * @author WANGWEI
 * @date 2019年12月12日
 * @Copyright (c) 2018-2020 http://www.qmth.com.cn/ All Rights Reserved.
 * @param <KEYIN>
 * @param <VALUEIN>
 * @param <KEYOUT>
 * @param <VALUEOUT>
 */
public interface NodeExecuter<KEYIN, VALUEIN, KEYOUT, VALUEOUT> {

	KeyValuePair<KEYOUT, VALUEOUT> execute(KEYIN key, VALUEIN value, TaskContext context)
			throws Exception;

}